## ocaml-netlink 0.2.0

=== Makefile ===
ifneq "$(DESTDIR)" ""
INSTALL_ARGS := -destdir $(DESTDIR)
endif

.PHONY: build install uninstall clean

build: dist/setup
	obuild build

dist/setup:
	obuild configure

install:
	ocamlfind remove netlink $(INSTALL_ARGS)
	ocamlfind install netlink lib/META dist/build/lib-netlink/* $(INSTALL_ARGS)

uninstall:
	ocamlfind remove netlink

clean:
	obuild clean

=== debian/changelog ===
ocaml-netlink (0.2.0-1) UNRELEASED; urgency=low

  * Update to 0.2.0

 -- David Scott <dave.scott@citrix.com>  Wed, 01 Oct 2014 12:00:00 +0000

ocaml-netlink (0.1.0-1) UNRELEASED; urgency=low

  * Initial package

 -- Rob Hoes <rob.hoes@citrix.com>  Thu, 05 Jun 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-netlink
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libnl-route-3-200,
 ocaml-native-compilers,
 libctypes-ocaml-dev,
 libffi-dev,
 ocaml-obuild,
 libnl-3-200,
 ocaml-findlib

Package: ocaml-netlink
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings to libnl
 The Netlink Protocol Library Suite (libnl) provides APIs to the
 netlink protocol, allowing you to interact with network devices in
 the Linux kernel. This library provides OCaml bindings to libnl.

Package: ocaml-netlink-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-netlink (>= 0.2.0-1),
 libctypes-ocaml-dev,
 libffi6,
 libnl-3-200,
 libnl-route-3-200
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-netlink
 The ocaml-netlink-devel package contains libraries and signature
 files for developing applications that use ocaml-netlink.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-netlink/usr/lib/ocaml/netlink/*.a
	rm -f debian/ocaml-netlink/usr/lib/ocaml/netlink/*.cmxa
	rm -f debian/ocaml-netlink/usr/lib/ocaml/netlink/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
